Bug 763505 - (GLUSTER-1773) qa37 - sometimes add-brick says unsuccessful when its successful
qa37 - sometimes add-brick says unsuccessful when its successful
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-02 02:55 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: All
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
glusterd log file (86.51 KB, application/octet-stream)
2010-10-01 23:55 EDT, Lakshmipathi G
no flags Details

  None (edit)
Description Lakshmipathi G 2010-10-02 00:21:59 EDT
this happened when /etc/glusterd was removed but glusterfsd was running some process and doing add-brick -

=======
# rm -rf /etc/glusterd/ && rm -rf /usr/local/var/log/glusterfs/* && killall glusterd && killall glusterfs

[root@ip-10-202-54-53 ~]# mkdir /mnt/oct2
[root@ip-10-202-54-53 ~]# glusterd
[root@ip-10-202-54-53 ~]# ls /mnt/oct2
linux-2.6.35.7

[root@ip-10-202-54-53 ~]# less /usr/local/var/log/glusterfs/usr-local-etc-glusterfs-glusterd.vol.log 
[root@ip-10-202-54-53 ~]# ps aux | grep gluster
root     16515  0.0  1.0  47896 17564 ?        Ssl  02:40   0:00 glusterd
root     16519  0.0  2.1  78832 37748 ?        Ssl  02:43   0:00 /usr/local/sbin/glusterfsd --xlator-option bug763487-server.listen-port=6974 -s localhost --volfile-id bug763487.10.202.54.53.mnt-oct2 -p /etc/glusterd/vols/bug763487/run/10.202.54.53-mnt-oct2.pid --brick-name /mnt/oct2 --brick-port 6974 -l /etc/glusterd/logs/bricks/mnt-oct2.log
root     16523  0.0  2.6  79096 47056 ?        Ssl  02:43   0:00 /usr/local/sbin/glusterfs -f /etc/glusterd/nfs/nfs-server.vol -p /etc/glusterd/nfs/run/nfs.pid -l /etc/glusterd/logs/nfs.log
root     16542  0.0  0.0   4056   712 pts/0    R+   03:14   0:00 grep gluster
root     30244  0.1  2.4  99376 42780 ?        Ssl  Oct01   1:37 /usr/local/sbin/glusterfsd --xlator-option dht8-server.listen-port=6971 -s localhost --volfile-id dht8.10.202.54.53.mnt-oct1 -p /etc/glusterd/vols/dht8/run/10.202.54.53-mnt-oct1.pid --brick-name /mnt/oct1 --brick-port 6971 -l /etc/glusterd/logs/bricks/mnt-oct1.log
root     31150  0.0  0.4  49524  7692 ?        Ssl  Oct01   0:00 /usr/local/sbin/glusterfsd --xlator-option dht8-server.listen-port=6973 -s localhost --volfile-id dht8.10.202.54.53.mnt-oct1 -p /etc/glusterd/vols/dht8/run/10.202.54.53-mnt-oct1.pid --brick-name /mnt/oct1 --brick-port 6973 -l /etc/glusterd/logs/bricks/mnt-oct1.log
Comment 1 Lakshmipathi G 2010-10-02 02:55:49 EDT
in a 2 dht  cluster adding 3 more bricks it said "unsuccessful" but volume info shows newly added bricks.

Note You need to log in before you can comment on or make changes to this bug.